Skip to main content
GET
/
affiliates
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const affiliateListResponse of client.affiliates.list({
  company_id: 'biz_xxxxxxxxxxxxxx',
})) {
  console.log(affiliateListResponse.id);
}
{
  "data": [
    {
      "id": "aff_xxxxxxxxxxxxxx",
      "status": "active",
      "created_at": "2023-12-01T05:00:00.401Z",
      "updated_at": "2023-12-01T05:00:00.401Z",
      "total_referrals_count": 42,
      "total_referral_earnings_usd": "<string>",
      "total_overrides_count": 42,
      "customer_retention_rate": "<string>",
      "customer_retention_rate_ninety_days": "<string>",
      "monthly_recurring_revenue_usd": "<string>",
      "total_revenue_usd": "<string>",
      "active_members_count": 42,
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "Jane Smith",
        "username": "janesmith"
      },
      "company": {
        "id": "biz_xxxxxxxxxxxxxx",
        "title": "<string>"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list affiliates for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string> | null

The sort direction for results. Defaults to descending.

Available options:
asc,
desc
order
enum<string> | null

The field to sort results by.

Available options:
id,
created_at,
cached_total_referrals,
cached_total_rewards
query
string | null

Search affiliates by username.

status
enum<string> | null

Filter by affiliate status (active or archived).

Available options:
active,
archived,
deleted

Response

A successful response

The connection type for Affiliate.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.